<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Author: Rene / Updated by Dallas
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."topliste/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
		include INFUSIONS."topliste/locale/English.php";
}

// Infusion general information
$inf_title = $locale['TOP_0100'];
$inf_description = $locale['TOP_0101'];
$inf_version = "1.0";
$inf_developer = "Rene Lau Lauersen";
$inf_email = "rlauersen@hotmail.com";
$inf_weburl = "http://www.rll.dk";

$inf_folder = "topliste"; // The folder in which the infusion resides.



// Delete any items not required here.
$inf_newtable[1] = DB_TOP_CATS." (
  cid int(11) NOT NULL auto_increment,
  catname varchar(255) NOT NULL default 'Main',
  PRIMARY KEY  (cid),
  UNIQUE KEY catname (catname)
) TYPE=MyISAM AUTO_INCREMENT=2;";

$inf_newtable[2] = DB_TOP_HITS." (
  sid int(11) default NULL,
  ip varchar(20) default NULL,
  cdate timestamp(8) NOT NULL
) TYPE=MyISAM;";

$inf_newtable[3] = DB_TOP_REVIEW." (
  rid int(11) NOT NULL auto_increment,
  name varchar(20) default NULL,
  top_email varchar(40) default NULL,
  review text,
  sid int(11) NOT NULL default '0',
  rating tinyint(4) NOT NULL default '0',
  postdate timestamp(8) NOT NULL,
  postip varchar(16) default NULL,
  PRIMARY KEY  (rid)
) TYPE=MyISAM AUTO_INCREMENT=1;";

$inf_newtable[4] = DB_TOP_USER." (
  sid int(11) NOT NULL auto_increment,
  banner varchar(255) default NULL,
  bannerw int(11) default NULL,
  bannerh int(11) default NULL,
  title varchar(255) default NULL,
  top_description varchar(255) default NULL,
  rank int(11) NOT NULL default '0',
  votes int(11) NOT NULL default '0',
  status enum('Y','N') NOT NULL default 'N',
  name varchar(255) default NULL,
  top_email varchar(255) default NULL,
  password varchar(255) default NULL,
  siteurl varchar(255) default NULL,
  linkback varchar(255) default NULL,
  thin int(11) NOT NULL default '0',
  thout int(11) NOT NULL default '0',
  category int(11) default NULL,
  stars enum('0','1','2','3','4','5') NOT NULL default '0',
  country varchar(100) default NULL,
  PRIMARY KEY  (sid)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_TOP_CATS." (`cid`, `catname`) VALUES ('1', '".$locale['TOP_197']."');";
$inf_insertdbrow[2] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1107182923, '".$settings['siteurl']."infusions/topliste/images/banner.gif', 88, 31, '".$settings['sitename']."', 'User ID: 1107182923 Password: 00001111\n<br> ".$settings['description']."', 10, 1, 'Y', '".$settings['sitename']."', '".$settings['siteemail']."', '00001111', '".$settings['siteurl']."infusions/topliste/in.php?site=1107182923', '".$settings['siteurl']."infusions/topliste/in.php?site=1107182923', 0, 0, 1, 0, 'United_States.gif');";
$inf_insertdbrow[3] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1131441968, 'http://www.flyingduck.dk/images/pv.jpg', 468, 60, 'Party-Varde.Dk', 'En festside for Varde og Omegn', 10, 1, 'Y', 'flyingduck', 'admin@flyingduck.dk', 'sofievej', 'http://www.party-varde.dk', 'http://www.party-varde.dk/rll.htm', 0, 0, 1, 0, 'Denmark.gif');";
$inf_insertdbrow[4] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1131441969, 'http://www.diptera.info/images/diptera_banner_60h.jpg', 324, 60, 'Diptera.info', 'Portal to information on the insect order Diptera (flies and midges) and a forum for researchers on the insect group. The site enables, for example, link submission and identification queries. Registration required for submissions.', 10, 1, 'Y', 'Pauls', 'muscapaul@gmail.com', 'Pauls', 'http://www.diptera.info', 'http://www.diptera.info', 0, 0, 1, 0, 'Netherlands.gif');";
$inf_insertdbrow[5] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1131441970, 'http://www.kengun.com/banner.jpg', 468, 60, 'Kengun Services', 'Kengun Services - Very cheap webdesign, webgraphics, banners, etc.', 10, 1, 'Y', 'kennegun', 'kennegun@yahoo.no', 'kennegun', 'http://www.Kengun.com', 'http://www.Kengun.com', 0, 0, 1, 0, 'Norway.gif');";
$inf_insertdbrow[6] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1131441971, 'http://www.voresblog.dk/images/logo.jpg', 468, 60, 'voresblog.dk', 'Dansk side delt i to, en handler om mig & min familie, en handler om PHP-Fusion. Temaskifter, arcade games og andet godt. I Downloadbulen finder du temaer, MODs & Infusioner med dansk installations vejledning. I Debatbulen finder du support i en god tone.', 10, 1, 'Y', 'insideout', 'admin@voresblog.dk', 'insideout', 'http://www.voresblog.dk', 'http://www.voresblog.dk', 0, 0, 1, 0, 'Denmark.gif');";
$inf_insertdbrow[7] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1131441972, 'http://www.venue.nu/infusions/topliste/images/banner.gif', 468, 60, 'Venue.nu', 'A Swedish site that have much of alot.', 10, 1, 'Y', 'Domi', 'jocke@venue.nu', 'venue.nu', 'http://www.venue.nu/infusions/topliste/in.php?site=1107182923', 'http://www.venue.nu/infusions/topliste/in.php?site=1107182923', 0, 0, 1, 0, 'Sweden.gif');";
$inf_insertdbrow[8] = DB_TOP_USER." (`sid`, `banner`, `bannerw`, `bannerh`, `title`, `top_description`, `rank`, `votes`, `status`, `name`, `top_email`, `password`, `siteurl`, `linkback`, `thin`, `thout`, `category`, `stars`, `country`) VALUES (1132827533, 'http://shiro.livenet.pl/images/bannertopsite.jpg', 468, 60, 'StoryTellers', 'Site for everyone who love story, avatars, flash games and php fusion. Polish lenguage but theres also forum in english. Bard\'s Tale', 0, 0, 'Y', 'StoryTellers', 'shirohack@gmail.com', 'StoryTellers', 'http://shiro.livenet.pl', 'http://shiro.livenet.pl', 0, 0, 1, '0', 'Poland.gif');";



$inf_droptable[1] = DB_TOP_CATS;
$inf_droptable[2] = DB_TOP_HITS;
$inf_droptable[3] = DB_TOP_REVIEW;
$inf_droptable[4] = DB_TOP_USER; // Dont delet your Users

$inf_adminpanel[1] = array(
	"title" => $locale['TOP_0100'],
	"image" => "topsite.gif",
	"panel" => "admin/index.php",
	"rights" => "TL"
);

$inf_sitelink[1] = array(
	"title" => $locale['TOP_0102'],
	"url" => "index.php",
	"visibility" => "0"
);

?>